# Class Address

java.lang.Object
com.ryanharter.auto.value.gson.example.Address

public abstract class Address extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Address.Builder`

## Constructor Summary

Constructors
Constructor
Description
`Address()`

## Method Summary

Modifier and Type
Method
Description
`static Address.Builder`
`badBuilder()`
`static Address.Builder`
`builder()`
`abstract String`
`city()`
`static Address`
`create(String streetName, String city)`
`abstract String`
`streetName()`
`static com.google.gson.TypeAdapter<Address>`
`typeAdapter(com.google.gson.Gson gson)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Address

public Address()

## Method Details

### create

public static Address create(String streetName, String city)

### typeAdapter

public static com.google.gson.TypeAdapter<Address> typeAdapter(com.google.gson.Gson gson)

### streetName

@SerializedName("street-name") public abstract String streetName()

### city

public abstract String city()

### badBuilder

public static Address.Builder badBuilder()

### builder

public static Address.Builder builder()